Bug 333575 - Crash on complete maintenance
Summary: Crash on complete maintenance
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Maintenance-Faces (show other bugs)
Version: 3.4.0
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-18 10:51 UTC by hoctav
Modified: 2017-08-12 13:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hoctav 2014-04-18 10:51:35 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.10.2
Qt Version: 4.8.4
Operating System: WindowsNT Windows 6.2 i686

-- Information about the crash:
It crashes when in the middle of various processes of the maintenance like rebuilding thumbs, fingerprints, face recognition, etc.
It happened both in Windows with local collections and on Linux VM (opensuse) with symlinked collections.

I experienced similar crashes when working with individual files or folders that had names with unicode characters like șȘ țȚ ăĂ îÎ âÂ, or ':'

So I have the feeling is somehow related to not being able to handle properly the some characters.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam.exe), signal: Unknown


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548ee6ce
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x230c1f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f087329
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f08752f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f089017


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x55067709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x54f6c556
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x54f6c600
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!NtRemoveIoCompletion() [[unknown] @ -1] at 0x77ecdc84
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819879
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819778
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x551771a6
QtGui4.dll!qt_getRegisteredWndClass() [[unknown] @ -1] at 0x5571a59f
QtCore4.dll!QCoreApplication::exec() [[unknown] @ -1] at 0x551508cc
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x39a6e1
digikam.exe![unknown]() [[unknown] @ -1] at 0x1c1125
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x472980
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
kdcraw.dll!KDcrawIface::DcrawSettingsWidget::slotsixteenBitsImageToggled() [[unknown] @ -1] at 0x654bd988
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548ee6ce
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x230c1f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f087329
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f08752f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f089017


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819879
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819778
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x551771a6
QtCore4.dll!QEventLoop::exec() [[unknown] @ -1] at 0x5514eab9
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x54900d9a
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x550581a9


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x2d420a
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x55067709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x54f6c600
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548ee6ce
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x230c1f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f087329
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f08752f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f089017


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819879
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819778
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x551771a6
QtCore4.dll!QEventLoop::exec() [[unknown] @ -1] at 0x5514eab9
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x54900d9a
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x550581a9


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548ee6ce
digikam.exe!QMap<QString,QString>::unite() [[unknown] @ -1] at 0x230c1f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f087329
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f08752f
threadweaver.dll!ThreadWeaver::Weaver::setMaximumNumberOfThreads() [[unknown] @ -1] at 0x6f089017


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
QtCore4.dll!QWaitCondition::wait() [[unknown] @ -1] at 0x5506881b
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x5490109d
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x55067709
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x54f6c556
MSVCR100.dll!endthreadex() [[unknown] @ -1] at 0x54f6c600
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819879
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819778
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x551771a6
QtCore4.dll!QEventLoop::exec() [[unknown] @ -1] at 0x5514eab9
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x54900d9a
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x550581a9


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819879
USER32.dll!MsgWaitForMultipleObjectsEx() [[unknown] @ -1] at 0x77819778
QtCore4.dll!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x551771a6
QtCore4.dll!QEventLoop::exec() [[unknown] @ -1] at 0x5514eab9
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x54900d9a
QtCore4.dll!QtConcurrent::internal::ExceptionStore::hasThrown() [[unknown] @ -1] at 0x550581a9


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


KERNELBASE.dll!RaiseException() [[unknown] @ -1] at 0x77d40f22
MSVCR100.dll!CxxThrowException() [[unknown] @ -1] at 0x54f3872d
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548faf93
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548fe804
ntdll.dll!RtlFreeHeap() [[unknown] @ -1] at 0x77ef1fbd
digikamlib.dll!Digikam::ICCPreviewWidget::qt_static_metacall() [[unknown] @ -1] at 0x548e32d8


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForWorkViaWorkerFactory() [[unknown] @ -1] at 0x77ecf6b4
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForSingleObject() [[unknown] @ -1] at 0x77ecdc34
KERNELBASE.dll!WaitForSingleObject() [[unknown] @ -1] at 0x77d310b4
VCOMP100.DLL!vcomp_ordered_loop_end() [[unknown] @ -1] at 0x72b34111
VCOMP100.DLL!vcomp_atomic_div_r8() [[unknown] @ -1] at 0x72b3708e
KERNEL32.DLL!BaseThreadInitThunk() [[unknown] @ -1] at 0x76038624
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf39
ntdll.dll!RtlInitializeExceptionChain() [[unknown] @ -1] at 0x77efbf0c


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd


ntdll.dll!ZwWaitForMultipleObjects() [[unknown] @ -1] at 0x77ece1a4
KERNEL32.DLL!WaitForMultipleObjects() [[unknown] @ -1] at 0x76036bcc
QtCore4.dll!QString::contains() [[unknown] @ -1] at 0x55134313
QtCore4.dll!QThread::setTerminationEnabled() [[unknown] @ -1] at 0x55067ddd
QtCore4.dll!QEventDispatcherWin32::`default constructor closure'() [[unknown] @ -1] at 0x550676fd

Possible duplicates by query: bug 330779, bug 329651, bug 328991, bug 327794, bug 327169.

Reported using DrKonqi
Comment 1 caulier.gilles 2014-04-29 12:45:42 UTC
There is no source code in this backtrace to hack.

Please try to get a better backtrace following instructions here :

http://www.digikam.org/contrib

Gilles Caulier
Comment 2 caulier.gilles 2015-06-29 17:47:11 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 3 caulier.gilles 2015-07-06 07:39:28 UTC
digiKam 4.11.0 Windows installer is available for download :

http://download.kde.org/stable/digikam/digiKam-installer-4.11.0-win32.exe.mirrorlist
Comment 4 caulier.gilles 2015-08-20 06:49:29 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 5 hoctav 2015-08-26 22:54:19 UTC
Hi there,

I did not use digikam in the last few months, mostly because of that bug.
I recently reinstall the latest version and ran that maintenance task.
I could say that it definitely ran further that last time before it crashed.
This time it crashed on the "Image Quality Sorter", but I don't have any more details.
I'll start using this tool more thoroughly in the next little while, and I'll keep you posted if I discover any new problems.

Otherwise, I love all the metadata manipulations I can do with this tool, and how I can organize the photos.
Thanks for the fix and the follow up.

Best regards,
Octavian
hoctav@hotmail.com

-----Original Message-----
From: bugzilla_noreply@kde.org [mailto:bugzilla_noreply@kde.org] On Behalf Of Gilles Caulier
Sent: Thursday, August 20, 2015 2:49 AM
To: hoctav@yahoo.com
Subject: [digikam] [Bug 333575] Crash on complete maintenance

https://bugs.kde.org/show_bug.cgi?id=333575

--- Comment #4 from Gilles Caulier <caulier.gilles@gmail.com> --- digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier

--
You are receiving this mail because:
You reported the bug.
Comment 6 caulier.gilles 2016-05-28 18:23:48 UTC
With next digiKam 5.0.0, we will provide a fully cross-compiled version Windows under Linux where a lots of problems have been fixed.

https://www.flickr.com/photos/digikam/27033685570/in/dateposted-public/

The Windows installer is available here to test :

https://drive.google.com/open?id=0B7yq-xFihT0_SzhxVzF1RDhPbFE

Gilles Caulier